Issue 30426

Summary: enhance automatic scaling
Product: General Reporter: xhe <xyhe8866>
Component: chartAssignee: kla <thomas.klarhoefer>
Status: CLOSED FIXED QA Contact: issues@graphics <issues>
Severity: Trivial    
Priority: P4 CC: issues
Version: 3.3.0 or older (OOo)Keywords: ms_interoperability, oooqa, rfe_eval_ok
Target Milestone: ---   
Hardware: All   
OS: All   
URL: http://specs.openoffice.org/chart/ChartAxisAutoScaling.odt
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Excel chart sample
none
Open Office chart sample
none
tcs_chart2_auto_scaling none

Description xhe 2004-06-18 01:38:50 UTC
It would be nice to set the maximum label on the y-axis in a chart as 1.2 times 
of actual max value. 

Please see the attached sample charts: axis_scale_excel.ppt (which is generated 
from Excel) and axis_scale_oo.ppt (which is generated from Open Office 
Presentation). 

If you double-click the axis_scale_excel.ppt, you can view the chart data. The 
maximum value of the chart data is 99, the first file chooses 120 as the 
maximum label; however, the second file chooses 100 as the maximum label. I 
think, in this case, it is better to choose 120 as the maximum label since it 
is less confusing and looks more accurate.
Comment 1 xhe 2004-06-18 01:40:37 UTC
Created attachment 15964 [details]
Excel chart sample
Comment 2 xhe 2004-06-18 01:41:22 UTC
Created attachment 15965 [details]
Open Office chart sample
Comment 3 kla 2004-07-15 09:17:09 UTC
Hi Bettina,
one for you.
tk
Comment 4 bettina.haberer 2004-11-29 18:20:25 UTC
Reassigned to Ingrid.
Comment 5 IngridvdM 2005-04-25 17:00:14 UTC
The automatism for minimum and maximum values should be checked and improved
completely.
Comment 6 IngridvdM 2005-04-25 17:01:41 UTC
->dr: You offered to have a look for this :-).
Comment 7 daniel.rentz 2005-04-25 17:31:46 UTC
started
Comment 8 daniel.rentz 2005-05-12 13:58:48 UTC
works now for all 2D/3D bar/line/area/XY normal and stacked charts...

Fixed in CWS SRC680/chart2mst3
Comment 9 IngridvdM 2005-11-09 18:03:51 UTC
changed target to OOo 3.0
Comment 10 bjoern.milcke 2006-06-23 10:46:08 UTC
Changed target to 2.x
Comment 11 daniel.rentz 2006-11-22 12:57:28 UTC
link to spec added
Comment 12 daniel.rentz 2006-12-13 12:52:06 UTC
back to QA
Comment 13 IngridvdM 2007-01-18 11:55:20 UTC
changed target to 2.3
Comment 14 kla 2007-05-10 13:55:43 UTC
Created attachment 45014 [details]
tcs_chart2_auto_scaling
Comment 15 kla 2007-05-10 14:00:23 UTC
verified
Comment 16 ace_dent 2008-05-16 03:29:35 UTC
This Issue is 'Verified' and not updated in 1yr+, so Closing.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~